Update an identity provider

PATCH https://api.ap1.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.ap2.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.datadoghq.eu/api/v2/identity_providers/{idp_id}https://api.ddog-gov.com/api/v2/identity_providers/{idp_id}https://api.us2.ddog-gov.com/api/v2/identity_providers/{idp_id}https://api.uk1.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.us3.datadoghq.com/api/v2/identity_providers/{idp_id}https://api.us5.datadoghq.com/api/v2/identity_providers/{idp_id}

Overview

Enable or disable an identity provider for the current organization. This endpoint requires the org_management permission.

OAuth apps require the org_management authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

idp_id [required]

string

The ID of the identity provider.

Request

Body Data (required)

Expand All

Field

Type

Description

data [required]

object

Data object for updating an organization identity provider.

attributes [required]

object

Attributes for updating an organization identity provider.

enabled [required]

boolean

Whether to enable or disable this identity provider for the organization.

id [required]

string

The unique identifier of the identity provider to update.

type [required]

enum

The resource type for identity providers. Allowed enum values: identity_providers

{
  "data": {
    "attributes": {
      "enabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "identity_providers"
  }
}

Response

OK

Response containing a single organization identity provider.

Expand All

Field

Type

Description

data [required]

object

Data object representing an organization identity provider.

attributes [required]

object

Attributes of an organization identity provider.

authentication_method [required]

string

The authentication method used by this identity provider.

enabled [required]

boolean

Whether this identity provider is enabled for the organization.

id [required]

string

The unique identifier of the identity provider.

type [required]

enum

The resource type for identity providers. Allowed enum values: identity_providers

{
  "data": {
    "attributes": {
      "authentication_method": "SAML",
      "enabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "identity_providers"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Authentication error

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export idp_id="00000000-0000-0000-0000-000000000001"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/identity_providers/${idp_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "enabled": true }, "id": "00000000-0000-0000-0000-000000000001", "type": "identity_providers" } } EOF